Page MenuHomePhabricator

[mlir][Affine][NFC] Return BlockArgument in AffineForOp::getInductionVar
ClosedPublic

Authored by dcaballe on Mar 3 2021, 12:01 PM.

Details

Summary

This will avoid unnecessary casts when a BlockArgument is required.

Diff Detail

Event Timeline

dcaballe created this revision.Mar 3 2021, 12:01 PM
dcaballe requested review of this revision.Mar 3 2021, 12:01 PM
bondhugula accepted this revision.Mar 4 2021, 5:41 AM

Good catch!

This revision is now accepted and ready to land.Mar 4 2021, 5:41 AM
This revision was landed with ongoing or failed builds.Mar 5 2021, 2:06 PM
This revision was automatically updated to reflect the committed changes.